// priority: 0

StartupEvents.registry("item", (event) => {
  event
    .create("stone_hatchet", "axe")
    .tier("rock")
    .tooltip("A great starter tool to start gathering logs.")
    .displayName("Stone Hatchet");
  event
    .create("seadwellers:depth_upgrade_smithing_template")
    .displayName("Depth Upgrade");

  event.create(
    "create:incomplete_copper_diving_helmet",
    "create:sequenced_assembly"
  );
  event.create(
    "create:incomplete_copper_diving_boots",
    "create:sequenced_assembly"
  );
  event
    .create("create:incomplete_copper_backtank", "create:sequenced_assembly")
    .parentModel("create:block/copper_backtank/item");

  event.create(
    "refinedstorage:incomplete_processor",
    "create:sequenced_assembly"
  );

  event.create("createoreexcavation:steel_drill").displayName("Steel Drill");

  event
    .create("createoreexcavation:forgotten_drill")
    .displayName("Forgotten Drill");

  event.create("createoreexcavation:desh_drill").displayName("Desh Drill");

  event.create("createoreexcavation:ostrum_drill").displayName("Ostrum Drill");

  event
    .create("createoreexcavation:calorite_drill")
    .displayName("Calorite Drill");

  event
    .create("createsifter:sea_pig_mesh", "createsifter:mesh")
    .displayName("Sea Pig Mesh")
    .parentModel("createsifter:block/meshes/mesh")
    .texture("mesh", "createsifter:item/sea_pig_mesh")
    .texture("frame", "seadwellers:block/depth_block");

  event
    .create("call_of_yucutan:ancient_gold_sheet")
    .displayName("Ancient Gold Sheet");

  event
    .create("call_of_yucutan:ancient_gold_nugget")
    .displayName("Ancient Gold Nugget");

  event
    .create("alexscaves:caramel_sheet")
    .displayName("Caramel Sheet");

  event
    .create("hostilenetworks:alexs_prediction")
    .displayName("Generalized Alex's Caves Prediction");

  // Add Custom Embers Metal Sheets and Plates
  global.emberMetal.forEach((metalInput) => {
    event
      .create("embers:" + metalInput + "_plate")
      .displayName(
        metalInput.charAt(0).toUpperCase() + metalInput.slice(1) + " Plate"
      );
    event
      .create("create:" + metalInput + "_sheet")
      .displayName(
        metalInput.charAt(0).toUpperCase() + metalInput.slice(1) + " Sheet"
      );
    event
      .create("thermal:" + metalInput + "_plate")
      .displayName(
        metalInput.charAt(0).toUpperCase() + metalInput.slice(1) + " Plate"
      );
  });
});

// Make Magnetite Burnproof
ItemEvents.modification((event) => {
  event.modify("create_new_age:magnetite_block", (item) => {
    item.fireResistant = true;
  });
});
